Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings
Class ObjectReferenceMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.ForeignReferenceMapping
oracle.toplink.mappings.ObjectReferenceMapping`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  EISOneToOneMapping, OneToOneMapping, ReferenceMapping, VariableOneToOneMapping

public abstract class ObjectReferenceMapping
extends ForeignReferenceMapping

Purpose: Abstract class for 1:1, varibale 1:1 and reference mappings

See Also:
  Serialized Form

Method Summary
`void` | `useProxyIndirection()` PUBLIC: Set this mapping to use Proxy Indirection.
`void` | `useProxyIndirection(java.lang.Class targetInterface)` PUBLIC: Set this mapping to use Proxy Indirection.
`void` | `useProxyIndirection(java.lang.Class[] targetInterfaces)` PUBLIC: Set this mapping to use Proxy Indirection.

Methods inherited from class oracle.toplink.mappings.ForeignReferenceMapping
`dontUseBatchReading, dontUseIndirection, getReferenceClass, getRelationshipPartnerAttributeName, isCascadeMerge, isCascadePersist, isCascadeRefresh, isCascadeRemove, privateOwnedRelationship, setCascadeAll, setCascadeMerge, setCascadePersist, setCascadeRefresh, setCascadeRemove, setCustomSelectionQuery, setIndirectionPolicy, setReferenceClass, setRelationshipPartnerAttributeName, setSelectionCall, setSelectionCriteria, setSelectionSQLString, setUsesBatchReading, setUsesIndirection, shouldUseBatchReading, useBasicIndirection, useBatchReading, useContainerIndirection, usesIndirection`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeClassification, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### useProxyIndirection

    public void useProxyIndirection()

  PUBLIC: Set this mapping to use Proxy Indirection. Proxy Indirection uses the `Proxy` and `InvocationHandler` features of JDK 1.3 to provide "transparent indirection" for 1:1 relationships. In order to use Proxy Indirection:
  - The target class must implement at least one public interface
  - The attribute on the source class must be typed as that public interface
  - get() and set() methods for the atttribute must use the interface
  With this policy, proxy objects are returned during object creation. When a message other than `toString` is called on the proxy the real object data is retrieved from the database. By default, use the target class' full list of interfaces for the proxy.

### useProxyIndirection

    public void useProxyIndirection(java.lang.Class[] targetInterfaces)

  PUBLIC: Set this mapping to use Proxy Indirection. Proxy Indirection uses the `Proxy` and `InvocationHandler` features of JDK 1.3 to provide "transparent indirection" for 1:1 relationships. In order to use Proxy Indirection:
  - The target class must implement at least one public interface
  - The attribute on the source class must be typed as that public interface
  - get() and set() methods for the atttribute must use the interface
  With this policy, proxy objects are returned during object creation. When a message other than `toString` is called on the proxy the real object data is retrieved from the database.

### useProxyIndirection

    public void useProxyIndirection(java.lang.Class targetInterface)

  PUBLIC: Set this mapping to use Proxy Indirection. Proxy Indirection uses the `Proxy` and `InvocationHandler` features of JDK 1.3 to provide "transparent indirection" for 1:1 relationships. In order to use Proxy Indirection:
  - The target class must implement at least one public interface
  - The attribute on the source class must be typed as that public interface
  - get() and set() methods for the atttribute must use the interface
  With this policy, proxy objects are returned during object creation. When a message other than `toString` is called on the proxy the real object data is retrieved from the database.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD